Subject: bug#15839: 24.3.50; `isearch-allow-scroll': be able to scroll point off screen temporarily

From: Michael Heerdegen <[email-masked]>
Date: Wed, 05 Dec 2018 13:59:39 +0100

Juri Linkov <[email-masked]> writes:

> Thank you for your feedback, all your remarks were taken into
> consideration, committed to master, and this enhancement request
> closed.

Thank you for working on this.

I have a question: I customized isearch-yank-on-move now to shift, but
left and right still exit isearch, I think because I (well, I guess, not
only I) have a global binding of shift-left and shift-right.

Is there a way to make shift-left and shift-right work nonetheless?  I
tried

#+begin_src emacs-lisp
  (define-key isearch-mode-map [(shift left)]  nil)
  (define-key isearch-mode-map [(shift right)] nil)
#+end_src

but that doesn't seem to do it.

Thanks,

Michael.